<?php

use phpformbuilder\Form;
use phpformbuilder\database\DB;

/* =============================================
    start session and include form class
============================================= */

session_start();
require_once rtrim($_SERVER['DOCUMENT_ROOT'], DIRECTORY_SEPARATOR) . '/conf/conf.php';
require_once CLASS_DIR . 'phpformbuilder/Form.php';

if (!isset($_POST['category']) || !is_numeric($_POST['category'])) {
    echo 'wrong values posted';
    var_dump($_POST);
    exit;
}

require_once rtrim($_SERVER['DOCUMENT_ROOT'], DIRECTORY_SEPARATOR) . '/phpformbuilder/database/db-connect.php';
require_once rtrim($_SERVER['DOCUMENT_ROOT'], DIRECTORY_SEPARATOR) . '/phpformbuilder/database/DB.php';

// Connect to the database
$db = new DB();

$sql       = 'SELECT name, code FROM products WHERE productlines_id = :productlines_id';
$values    = array('productlines_id' => $_POST['category']);
$db->Query($sql, $values);
$rows = $db->fetchAll(PDO::FETCH_ASSOC);
$products  = $db->convertQueryToSimpleArray($rows, 'name', 'code');

$form = new Form('ajax-products', 'vertical');
$form->setMode('development');
$options = array(
    'elementsWrapper' => ''
);
$form->setOptions($options);

foreach ($products as $code => $name) {
    $selected = '';
    if (isset($_SESSION['customer-support-form']['product']) && $_SESSION['customer-support-form']['product'] == $code) {
        $selected = 'selected';
    }
    $form->addOption('product', $code, $name, '', $selected);
}
$form->addSelect('product', '', 'data-slimselect=true, data-placeholder=Choose a product, required');

echo $form->html;
